Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(56)

Issue 893823002: Register system Pepper Flash plugin if no packaged Pepper plugin is found. (Closed)

Created:
5 years, 8 months ago by Will Harris
Modified:
5 years, 7 months ago
CC:
chromium-reviews
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Register system Pepper Flash plugin if no packaged Pepper plugin is found. With the NPAPI deprecation, Adobe have now made a supported, automatically updating version of Pepper Flash available on Windows and OS X. This CL moves the code previously added in https://codereview.chromium.org/203993004 into chrome/common so the system plugin is added on all Chromium builds. To manually override bundled PepperFlash on Chrome (e.g. to load a Debug version), use --disable-bundled-ppapi-flash BUG=345886, 454131 TEST=Install PPAPI Flash from Adobe site (link in bug) TEST=For Chromium builds: Check Chromium now automatically uses system version of Flash in chrome://plugins. TEST=For Chrome builds: Check Chrome still uses bundled Flash by default. Check if --disable-bundled-ppapi-flash it uses system flash. TEST=Check an old version of System flash will pop out of date plugin warning. Committed: https://crrev.com/ce3ea567cb2340798f754fc5ffb70ac0535520be Cr-Commit-Position: refs/heads/master@{#317656}

Patch Set 1 #

Patch Set 2 : add mac support. support flash debugging. #

Patch Set 3 : read the manifest file instead of searching #

Patch Set 4 : better mac support #

Total comments: 2

Patch Set 5 : move CheckPepperFlashManifest into chrome/common and check it before loading system plugin #

Patch Set 6 : fix GN #

Patch Set 7 : update DEPS #

Total comments: 2

Patch Set 8 : rebase #

Patch Set 9 : address comments. read location of pepperflash from registry. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+294 lines, -412 lines) Patch
M chrome/browser/component_updater/flash_component_installer.h View 1 2 3 4 1 chunk +0 lines, -5 lines 0 comments Download
M chrome/browser/component_updater/pepper_flash_component_installer.cc View 1 2 3 4 13 chunks +25 lines, -225 lines 0 comments Download
D chrome/browser/component_updater/ppapi_utils.h View 1 2 3 4 1 chunk +0 lines, -12 lines 0 comments Download
D chrome/browser/component_updater/ppapi_utils.cc View 1 2 3 4 5 6 7 1 chunk +0 lines, -144 lines 0 comments Download
M chrome/browser/component_updater/test/component_installers_unittest.cc View 1 2 3 4 2 chunks +2 lines, -1 line 0 comments Download
M chrome/browser/ui/webui/plugins_ui.cc View 1 2 3 4 5 6 7 8 1 chunk +13 lines, -5 lines 0 comments Download
M chrome/chrome_browser.gypi View 1 2 3 4 5 6 7 1 chunk +0 lines, -2 lines 0 comments Download
M chrome/chrome_common.gypi View 1 2 3 4 5 6 7 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/common/BUILD.gn View 1 2 3 4 5 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/common/DEPS View 1 2 3 4 5 6 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/common/chrome_content_client.cc View 1 2 3 4 5 chunks +76 lines, -2 lines 0 comments Download
M chrome/common/chrome_paths.h View 1 2 3 4 1 chunk +3 lines, -2 lines 0 comments Download
M chrome/common/chrome_paths.cc View 1 2 3 4 5 6 7 8 4 chunks +37 lines, -7 lines 0 comments Download
M chrome/common/pepper_flash.h View 1 2 3 4 1 chunk +9 lines, -0 lines 0 comments Download
M chrome/common/pepper_flash.cc View 1 2 3 4 1 chunk +117 lines, -1 line 0 comments Download
A + chrome/common/ppapi_utils.h View 1 2 3 4 5 6 7 8 1 chunk +4 lines, -4 lines 0 comments Download
A + chrome/common/ppapi_utils.cc View 1 2 3 4 5 6 7 8 1 chunk +2 lines, -2 lines 0 comments Download

Messages

Total messages: 23 (7 generated)
Will Harris
PTAL cpu -> chrome/browser/component_updater/ jam -> everything else luken -> please make sure I haven't ...
5 years, 8 months ago (2015-02-01 21:17:27 UTC) #6
cpu_(ooo_6.6-7.5)
for GOOGLE_CHROME_BUILD we should either use the bundled ppapi or the system debugger ppapi.
5 years, 8 months ago (2015-02-03 00:19:26 UTC) #7
Will Harris
On 2015/02/03 00:19:26, cpu wrote: > for GOOGLE_CHROME_BUILD we should either use the bundled ppapi ...
5 years, 8 months ago (2015-02-03 00:33:15 UTC) #8
luken
On 2015/02/03 00:33:15, Will Harris wrote: > On 2015/02/03 00:19:26, cpu wrote: > > for ...
5 years, 8 months ago (2015-02-03 00:37:59 UTC) #9
Will Harris
> There's no way to disambiguate a DLL in %systemroot\macromed\flash from being a > "system" ...
5 years, 8 months ago (2015-02-03 00:41:46 UTC) #10
Will Harris
> The PPAPI DLLs loaded from that directory > are loaded with substantially fewer sanity/security ...
5 years, 8 months ago (2015-02-03 00:45:06 UTC) #11
jam
On 2015/02/01 21:17:27, Will Harris wrote: > PTAL > > cpu -> chrome/browser/component_updater/ > jam ...
5 years, 8 months ago (2015-02-03 05:54:50 UTC) #12
mpawlowski
Hi We did that in Opera a couple of months ago, but our code for ...
5 years, 7 months ago (2015-02-03 10:20:19 UTC) #14
cpu_(ooo_6.6-7.5)
https://codereview.chromium.org/893823002/diff/120001/chrome/browser/component_updater/pepper_flash_component_installer.cc File chrome/browser/component_updater/pepper_flash_component_installer.cc (right): https://codereview.chromium.org/893823002/diff/120001/chrome/browser/component_updater/pepper_flash_component_installer.cc#newcode224 chrome/browser/component_updater/pepper_flash_component_installer.cc:224: for (size_t i = 0; i < interface_names.size(); i++) ...
5 years, 7 months ago (2015-02-03 18:58:03 UTC) #15
Will Harris
PTAL I moved CheckPepperFlashManifest into chrome/common and now call this before loading the system plugin. ...
5 years, 7 months ago (2015-02-16 03:39:42 UTC) #16
cpu_(ooo_6.6-7.5)
things look good except the behavior change for 'google chorme' wrt to chrome://plugins UI which ...
5 years, 7 months ago (2015-02-18 02:54:57 UTC) #17
Will Harris
All done. PTAL. https://codereview.chromium.org/893823002/diff/180001/chrome/common/ppapi_utils.h File chrome/common/ppapi_utils.h (right): https://codereview.chromium.org/893823002/diff/180001/chrome/common/ppapi_utils.h#newcode1 chrome/common/ppapi_utils.h:1: // Copyright (c) 2013 The Chromium ...
5 years, 7 months ago (2015-02-20 07:49:18 UTC) #18
cpu_(ooo_6.6-7.5)
lgtm
5 years, 7 months ago (2015-02-23 21:26:33 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/893823002/220001
5 years, 7 months ago (2015-02-23 21:30:25 UTC) #21
commit-bot: I haz the power
Committed patchset #9 (id:220001)
5 years, 7 months ago (2015-02-23 21:33:47 UTC) #22
commit-bot: I haz the power
5 years, 7 months ago (2015-02-23 21:34:57 UTC) #23
Message was sent while issue was closed.
Patchset 9 (id:??) landed as
https://crrev.com/ce3ea567cb2340798f754fc5ffb70ac0535520be
Cr-Commit-Position: refs/heads/master@{#317656}

Powered by Google App Engine
This is Rietveld 408576698